Bug 162238 - [PATCH] Move PKGNAMEPREFIX from each Makefile to Mk/bsd.cran.mk
[PATCH] Move PKGNAMEPREFIX from each Makefile to Mk/bsd.cran.mk
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: TAKATSU Tomonari
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 19:20 UTC by TAKATSU Tomonari
Modified: 2011-11-15 20:18 UTC (History)
1 user (show)

See Also:


Attachments
R-cran.patch (24.30 KB, patch)
2011-11-01 19:20 UTC, TAKATSU Tomonari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TAKATSU Tomonari freebsd_committer 2011-11-01 19:20:08 UTC
Move PKGNAMEPREFIX defined in each R-cran- related ports Makefile
to Mk/bsd.cran.mk.

Port maintainers (drue@therub.org, naylor.b.david@gmail.com, wen@FreeBSD.org)
is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 naylor.b.david 2011-11-02 17:11:30 UTC
I am happy with the patch for my ports.
Comment 2 TAKATSU Tomonari freebsd_committer 2011-11-03 02:18:39 UTC
On Thu, Nov 3, 2011 at 2:11 AM, David Naylor <naylor.b.david@gmail.com> wrote:
> I am happy with the patch for my ports.

Thank you for your reply.
I got it.

To wen@,
Can I commit it when I get a approvement from maintainer of math/R-cran-psych
or timeout?

Thanks,

-- 
TAKATSU Tomonari
Comment 3 wenheping 2011-11-03 03:13:57 UTC
2011/11/3 TAKATSU Tomonari <tota@freebsd.org>:
> On Thu, Nov 3, 2011 at 2:11 AM, David Naylor <naylor.b.david@gmail.com> wrote:
>> I am happy with the patch for my ports.
>
> Thank you for your reply.
> I got it.
>
> To wen@,
> Can I commit it when I get a approvement from maintainer of math/R-cran-psych
> or timeout?

Sure.
wen

>
> Thanks,
>
> --
> TAKATSU Tomonari
>
Comment 4 Wen Heping freebsd_committer 2011-11-04 03:11:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tota

Over to tota@.
Comment 5 dfilter freebsd_committer 2011-11-15 20:09:11 UTC
tota        2011-11-15 20:09:02 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.cran.mk 
    astro/R-cran-maptools Makefile 
    converters/R-cran-RJSONIO Makefile 
    databases/R-cran-RMySQL Makefile 
    databases/R-cran-DBI Makefile 
    devel/R-cran-foreach Makefile 
    devel/R-cran-caret   Makefile 
    devel/R-cran-reshape Makefile 
    devel/R-cran-iterators Makefile 
    devel/R-cran-bitops  Makefile 
    devel/R-cran-itertools Makefile 
    devel/R-cran-plyr    Makefile 
    devel/R-cran-proto   Makefile 
    finance/R-cran-RFinanceYJ Makefile 
    finance/R-cran-gmm   Makefile 
    ftp/R-cran-RCurl     Makefile 
    graphics/R-cran-RColorBrewer Makefile 
    graphics/R-cran-colorspace Makefile 
    graphics/R-cran-diagram Makefile 
    graphics/R-cran-ggplot2 Makefile 
    graphics/R-cran-shape Makefile 
    math/R-cran-RSvgDevice Makefile 
    math/R-cran-Zelig    Makefile 
    math/R-cran-car      Makefile 
    math/R-cran-gpclib   Makefile 
    math/R-cran-sm       Makefile 
    math/R-cran-sp       Makefile 
    math/R-cran-psych    Makefile 
    math/R-cran-SuppDists Makefile 
    math/R-cran-zoo      Makefile 
    math/R-cran-coda     Makefile 
    math/R-cran-inline   Makefile 
    math/R-cran-mvtnorm  Makefile 
    math/R-cran-xts      Makefile 
    math/R-cran-deldir   Makefile 
    math/R-cran-spdep    Makefile 
    math/R-cran-sandwich Makefile 
    net/R-cran-twitteR   Makefile 
    science/R-cran-Epi   Makefile 
    science/R-cran-AMORE Makefile 
    science/R-cran-bayesm Makefile 
    science/R-cran-DCluster Makefile 
    science/R-cran-eco   Makefile 
    security/R-cran-digest Makefile 
    security/R-cran-ROAuth Makefile 
    textproc/R-cran-xtable Makefile 
    textproc/R-cran-XML  Makefile 
    www/R-cran-Rpad      Makefile 
    www/R-cran-scrapeR   Makefile 
  Log:
  - Move PKGNAMEPREFIX defined in each R-cran- related ports Makefile
    to Mk/bsd.cran.mk
  
  PR:             ports/162238
  Submitted by:   tota (myself)
  Approved by:    wen (maintainer of Mk/bsd.cran.mk and many related ports),
                  David Naylor <naylor_DOT_b_DOT_david_AT_gmail_DOT_com>
                    (maintainer of math/R-cran-RSvgDevice and math/R-cran-car),
                  Dan Rue <drue_AT_therub_DOT_org>
                    (maintainer of math/R-cran-psych, timeout > 2 weeks)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.10      +3 -1      ports/Mk/bsd.cran.mk
  1.3       +0 -1      ports/astro/R-cran-maptools/Makefile
  1.5       +0 -1      ports/converters/R-cran-RJSONIO/Makefile
  1.3       +0 -1      ports/databases/R-cran-DBI/Makefile
  1.3       +0 -1      ports/databases/R-cran-RMySQL/Makefile
  1.3       +0 -1      ports/devel/R-cran-bitops/Makefile
  1.10      +0 -1      ports/devel/R-cran-caret/Makefile
  1.3       +0 -1      ports/devel/R-cran-foreach/Makefile
  1.3       +0 -1      ports/devel/R-cran-iterators/Makefile
  1.3       +0 -1      ports/devel/R-cran-itertools/Makefile
  1.3       +0 -1      ports/devel/R-cran-plyr/Makefile
  1.3       +0 -1      ports/devel/R-cran-proto/Makefile
  1.3       +0 -1      ports/devel/R-cran-reshape/Makefile
  1.3       +0 -1      ports/finance/R-cran-RFinanceYJ/Makefile
  1.3       +0 -1      ports/finance/R-cran-gmm/Makefile
  1.5       +0 -1      ports/ftp/R-cran-RCurl/Makefile
  1.3       +0 -1      ports/graphics/R-cran-RColorBrewer/Makefile
  1.3       +0 -1      ports/graphics/R-cran-colorspace/Makefile
  1.3       +0 -1      ports/graphics/R-cran-diagram/Makefile
  1.3       +0 -1      ports/graphics/R-cran-ggplot2/Makefile
  1.3       +0 -1      ports/graphics/R-cran-shape/Makefile
  1.14      +0 -1      ports/math/R-cran-RSvgDevice/Makefile
  1.4       +0 -1      ports/math/R-cran-SuppDists/Makefile
  1.17      +0 -1      ports/math/R-cran-Zelig/Makefile
  1.18      +0 -1      ports/math/R-cran-car/Makefile
  1.10      +0 -1      ports/math/R-cran-coda/Makefile
  1.4       +0 -1      ports/math/R-cran-deldir/Makefile
  1.15      +0 -1      ports/math/R-cran-gpclib/Makefile
  1.12      +0 -1      ports/math/R-cran-inline/Makefile
  1.5       +0 -1      ports/math/R-cran-mvtnorm/Makefile
  1.9       +0 -1      ports/math/R-cran-psych/Makefile
  1.4       +0 -1      ports/math/R-cran-sandwich/Makefile
  1.16      +0 -1      ports/math/R-cran-sm/Makefile
  1.17      +0 -1      ports/math/R-cran-sp/Makefile
  1.4       +0 -1      ports/math/R-cran-spdep/Makefile
  1.3       +0 -1      ports/math/R-cran-xts/Makefile
  1.6       +0 -1      ports/math/R-cran-zoo/Makefile
  1.6       +0 -1      ports/net/R-cran-twitteR/Makefile
  1.5       +0 -1      ports/science/R-cran-AMORE/Makefile
  1.3       +0 -1      ports/science/R-cran-DCluster/Makefile
  1.3       +0 -1      ports/science/R-cran-Epi/Makefile
  1.5       +0 -1      ports/science/R-cran-bayesm/Makefile
  1.3       +0 -1      ports/science/R-cran-eco/Makefile
  1.3       +0 -1      ports/security/R-cran-ROAuth/Makefile
  1.4       +0 -1      ports/security/R-cran-digest/Makefile
  1.4       +0 -1      ports/textproc/R-cran-XML/Makefile
  1.4       +0 -1      ports/textproc/R-cran-xtable/Makefile
  1.3       +0 -1      ports/www/R-cran-Rpad/Makefile
  1.3       +0 -1      ports/www/R-cran-scrapeR/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 TAKATSU Tomonari freebsd_committer 2011-11-15 20:18:02 UTC
State Changed
From-To: open->closed

Committed.